diff --git a/include/libvirt/libvirt.h.in b/include/libvirt/libvirt.h.in
index b91d729..24b5680 100644
--- a/include/libvirt/libvirt.h.in
+++ b/include/libvirt/libvirt.h.in
@@ -85,7 +85,7 @@ typedef enum {
 typedef struct _virDomainInfo virDomainInfo;
 
 struct _virDomainInfo {
-    unsigned char state;        /* the running state, one of virDomainFlags */
+    unsigned char state;        /* the running state, one of virDomainState */
     unsigned long maxMem;       /* the maximum memory in KBytes allowed */
     unsigned long memory;       /* the memory in KBytes used by the domain */
     unsigned short nrVirtCpu;   /* the number of virtual CPUs for the domain */
diff --git a/src/libvirt.c b/src/libvirt.c
index 54ed8cf..9f024be 100644
--- a/src/libvirt.c
+++ b/src/libvirt.c
@@ -1231,7 +1231,7 @@ virDomainGetConnect (virDomainPtr dom)
  * virDomainCreateLinux:
  * @conn: pointer to the hypervisor connection
  * @xmlDesc: string containing an XML description of the domain
- * @flags: an optional set of virDomainFlags
+ * @flags: an optional set of virConnectFlags
  *
  * Launch a new Linux guest domain, based on an XML description similar
  * to the one returned by virDomainGetXMLDesc()
